Name:          phonesim
Version:       2.0
Release:       1mamba
Summary:       Phone Simulator for modem testing
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://git.kernel.org/pub/scm/network/ofono/phonesim
Source:        https://git.kernel.org/pub/scm/network/ofono/phonesim.git/%{version}/phonesim-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Core
BuildRequires: libQt5DBus
BuildRequires: libQt5Gui
BuildRequires: libQt5Network
BuildRequires: libQt5Widgets
BuildRequires: libQt5Xml
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END

%description
Phone Simulator for modem testing.

%prep
%setup -q

%build
./bootstrap-configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/phonesim
%{_datadir}/phonesim/default.xml
%doc AUTHORS COPYING

%changelog
* Sat Jan 04 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- update to 2.0

* Thu Jul 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21-1mamba
- package created using the webbuild interface
